Create recurring timeslots from an existing timeslot
curl --request POST \
--url https://b.anny.co/api/v1/timeslots/{timeslot_id}/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recurring": {
"interval": 123,
"until": "2023-11-07T05:31:56Z",
"count": 123,
"days": [
123
],
"month_day": 123,
"week_start": "<string>"
}
}
'import requests
url = "https://b.anny.co/api/v1/timeslots/{timeslot_id}/extend"
payload = { "recurring": {
"interval": 123,
"until": "2023-11-07T05:31:56Z",
"count": 123,
"days": [123],
"month_day": 123,
"week_start": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recurring: {
interval: 123,
until: '2023-11-07T05:31:56Z',
count: 123,
days: [123],
month_day: 123,
week_start: '<string>'
}
})
};
fetch('https://b.anny.co/api/v1/timeslots/{timeslot_id}/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{}
]Availability Settings
Create recurring timeslots from an existing timeslot
POST
/
api
/
v1
/
timeslots
/
{timeslot_id}
/
extend
Create recurring timeslots from an existing timeslot
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Timeslot ID
Abfrageparameter
Organization ID
Body
application/json
Show child attributes
Show child attributes
Antwort
200 - application/json
Created recurring timeslots
⌘I